#include "splashscreen.h"

#include <QDir>
#include <QPainter>

SplashScreen::SplashScreen(const QPixmap &pixmap): QSplashScreen(pixmap)
{
   QSplashScreen::setPixmap(pixmap);
   setFixedSize(pixmap.size());
}

SplashScreen::~SplashScreen()
{

}

void SplashScreen::updateProgress(QPixmap newpPixmap)
{
    setPixmap(newpPixmap);
    repaint();
}

